> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get task status

> Poll Kling task status.

**Path:** `GET https://api.omniall.ai/v1/videos/{task_id}`

On `completed`, read `video_url` or download via `/content`.



## OpenAPI

````yaml openapi/kling-video.yaml GET /v1/videos/{task_id}
openapi: 3.1.0
info:
  title: Omniall AI — Kling video
  version: 1.0.0
  description: >-
    Kling async video via OpenAI-style Video API.


    **Create:** `POST https://api.omniall.ai/v1/videos`


    **Poll:** `GET /v1/videos/{task_id}` · **Download:** `GET
    /v1/videos/{task_id}/content`


    Model aliases (case-insensitive). See [Model
    Square](https://omniall.ai/pricing).


    **Duration priority:** top-level `seconds` > top-level `duration` >
    `metadata.seconds` / `metadata.duration` / `metadata.video_duration` >
    default **5**.


    **Resolution priority:** `metadata.output_config.resolution` >
    `metadata.resolution` > top-level `size` > default **720P**.


    Auth: `Authorization: Bearer sk-...`
servers:
  - url: https://api.omniall.ai
security: []
paths:
  /v1/videos/{task_id}:
    get:
      tags:
        - Kling
      summary: Get task status
      description: |-
        Poll Kling task status.

        **Path:** `GET https://api.omniall.ai/v1/videos/{task_id}`

        On `completed`, read `video_url` or download via `/content`.
      operationId: klingGetVideo
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer sk-...
          description: Bearer API key, e.g. `Bearer sk-...`.
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            example: task_xxxxxxxx
          description: Task id from create response.
      responses:
        '200':
          description: Task status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KlingTask'
              examples:
                queued:
                  summary: Queued
                  value:
                    id: task_xxxxxxxx
                    task_id: task_xxxxxxxx
                    object: video
                    model: kling-2.5-motion-std-720p
                    status: queued
                    progress: 0
                    created_at: 1780891541
                in_progress:
                  summary: In progress
                  value:
                    id: task_xxxxxxxx
                    task_id: task_yyyyyyyy
                    object: video
                    model: kling-2.5-motion-std-720p
                    status: in_progress
                    progress: 0
                    created_at: 1780891541
                    completed_at: 1780891544
                completed:
                  summary: Completed
                  value:
                    id: task_xxxxxxxx
                    task_id: task_yyyyyyyy
                    object: video
                    model: kling-3.0-omni-720p-noref-mute
                    status: completed
                    progress: 100
                    seconds: '5'
                    size: 720x1280
                    created_at: 1780891541
                    completed_at: 1780891600
                    video_url: https://cdn.example.com/output/xxx.mp4
                failed:
                  summary: Failed
                  value:
                    id: task_xxxxxxxx
                    task_id: task_yyyyyyyy
                    object: video
                    model: kling-2.5-motion-std-720p
                    status: failed
                    progress: 100
                    created_at: 1780891541
                    completed_at: 1780891559
                    error:
                      code: task_failed
                      message: 'Invalid parameter: reference video URL is not reachable'
components:
  schemas:
    KlingTask:
      type: object
      properties:
        id:
          type: string
        task_id:
          type: string
        object:
          type: string
          example: video
        model:
          type: string
          description: Concrete billing tier name.
        status:
          type: string
          description: >-
            queued / pending / processing / in_progress / completed / failed /
            cancelled
        progress:
          type: integer
        created_at:
          type: integer
        completed_at:
          type: integer
        seconds:
          type: string
        size:
          type: string
        video_url:
          type: string
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.